kind: pipeline
type: docker
name: Build Image

steps:
  - name: Build Docker Image
    image: plugins/docker
    settings:
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      repo: git.midastix.com/ci-docker-repo-user/manicandles
      registry: git.midastix.com

    when:
      branch:
        - main
      event:
        - push

  - name: Deploy image
    image: appleboy/drone-ssh
    settings:
      host: server1.midastix.com
      username: root
      key:
        from_secret: server_ssh_pkey
      port: 22
      command_timeout: 5m
      script:
        - echo "Deploying ManiCandles"
        - sudo /opt/deployable/manicandles/docker/deploy.sh
        - echo "Completed Deployment"

    when:
      branch:
        - main
      event:
        - push
